org.icefaces.ace.component.accordion

## Interface IAccordion

- All Known Implementing Classes:
    Accordion, AccordionBase

      public interface IAccordion

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActiveIndex()`
    `java.lang.String` | `getEffect()`
    `java.lang.String` | `getEvent()`
    `javax.el.MethodExpression` | `getPaneChangeListener()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTabTitles()`
    `java.lang.String` | `getWidgetVar()`
    `boolean` | `isAutoHeight()`
    `boolean` | `isCache()`
    `boolean` | `isCollapsible()`
    `boolean` | `isDisabled()`
    `boolean` | `isDynamic()`
    `boolean` | `isFillSpace()`
    `void` | `setActiveIndex(int activeIndex)`
    `void` | `setAutoHeight(boolean autoHeight)`
    `void` | `setCache(boolean cache)`
    `void` | `setCollapsible(boolean collapsible)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setDynamic(boolean dynamic)`
    `void` | `setEffect(java.lang.String effect)`
    `void` | `setEvent(java.lang.String event)`
    `void` | `setFillSpace(boolean fillSpace)`
    `void` | `setPaneChangeListener(javax.el.MethodExpression paneChangeListener)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTabTitles(java.lang.String tabTitles)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`

- - ### Method Detail

    - #### setActiveIndex

          void setActiveIndex(int activeIndex)

    - #### getActiveIndex

          int getActiveIndex()

    - #### setAutoHeight

          void setAutoHeight(boolean autoHeight)

    - #### isAutoHeight

          boolean isAutoHeight()

    - #### setCache

          void setCache(boolean cache)

    - #### isCache

          boolean isCache()

    - #### setCollapsible

          void setCollapsible(boolean collapsible)

    - #### isCollapsible

          boolean isCollapsible()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setDynamic

          void setDynamic(boolean dynamic)

    - #### isDynamic

          boolean isDynamic()

    - #### setEffect

          void setEffect(java.lang.String effect)

    - #### getEffect

          java.lang.String getEffect()

    - #### setEvent

          void setEvent(java.lang.String event)

    - #### getEvent

          java.lang.String getEvent()

    - #### setFillSpace

          void setFillSpace(boolean fillSpace)

    - #### isFillSpace

          boolean isFillSpace()

    - #### setPaneChangeListener

          void setPaneChangeListener(javax.el.MethodExpression paneChangeListener)

    - #### getPaneChangeListener

          javax.el.MethodExpression getPaneChangeListener()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

    - #### setTabTitles

          void setTabTitles(java.lang.String tabTitles)

    - #### getTabTitles

          java.lang.String getTabTitles()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.